Name:		xstdcmap
Version:	1.0.5
Release:	%mkrel 2
Summary:	X standard colormap utility
Group:		Development/X11
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License:	MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xmu) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The xstdcmap utility can be used to selectively define standard
colormap properties. It is intended to be run from a user's X startup
script to create standard colormap definitions in order to facilitate
sharing of scarce colormap resources among clients. Where at all
possible, colormaps are created with read-only allocations.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%{_bindir}/xstdcmap
%{_mandir}/man1/xstdcmap.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.5-2.mga10
+ Revision: 2216763
- Mageia 10 Mass Rebuild

* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.0.5-1.mga9
+ Revision: 1919967
- 1.0.5

* Wed Mar 30 2022 umeabot <umeabot> 1.0.4-9.mga9
+ Revision: 1835212
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.4-8.mga8
+ Revision: 1523112
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 21 2019 tv <tv> 1.0.4-7.mga7
+ Revision: 1369068
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-7.mga7
+ Revision: 1301986
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 wally <wally> 1.0.3-6.mga7
+ Revision: 1243310
- fix build on aarch64
- use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 1.0.3-5.mga6
+ Revision: 936548
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-4.mga5
+ Revision: 750302
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 690785
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.3-2.mga4
+ Revision: 529225
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1.0.3-1.mga4
+ Revision: 451031
- 1.0.3

* Mon Jan 14 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 387409
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 ennael <ennael> 1.0.2-1.mga1
+ Revision: 30231
- imported package xstdcmap


* Mon Sep 27 2010 Thierry Vignaud <tv@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 581414
- new release

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-8mdv2010.1
+ Revision: 524471
- rebuilt for 2010.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.1-7mdv2009.1
+ Revision: 350755
- rebuild

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-6mdv2009.0
+ Revision: 226087
- rebuild

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-5mdv2008.1
+ Revision: 154298
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-4mdv2008.0
+ Revision: 80777
- rebuild for 2008
- slight spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - do not hardcode lzma extension!!!


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

